package com.zd.common.core.enums;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Author: zhoupan
 * @Date: 2021/10/06/13:40
 * @Description:
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum WarnUserAttrEnum implements BaseEnum<Integer> {

    ADMIN(0, "实验室负责人" ),
    NONE(1, "实验室内部人员" ),
    ;

    WarnUserAttrEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private Integer code;

    private String name;



    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


    @Override
    public Integer getDictKey() {
        return code;
    }
}